<div class="dashboard-container">
    <section class="dashboard-heading">Detailed Information</section>
    <mat-accordion>
        <mat-expansion-panel [expanded]="true">
          <mat-expansion-panel-header>
            <mat-panel-title>
              BP Trans Upload Information
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="bpTransUploadInfoTableData" [displayedColumn]="bpTransUploadInfoDisplayedColumn" [isDataAvailable]="isBpTransUploadInfoDataAvailable"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Customer Information
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="customerInfoTableData" [displayedColumn]="customerInfoDisplayedColumn" [isDataAvailable]="isCustomerInfoDataAvailable"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Items Information
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="itemInfoTableData" [displayedColumn]="itemInfoDisplayedColumn" [isDataAvailable]="isItemInfoDataAvailable"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Item Upload Information
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="itemUploadInfoTableData" [displayedColumn]="itemUploadInfoDisplayedColumn" [isDataAvailable]="isItemUploadInfoDataAvailable"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
              Opening Balance Information
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="openingBalanceInfoTableData" [displayedColumn]="openingBalanceInfoDisplayedColumn" [isDataAvailable]="isOpeningBalanceInfoDataAvailable"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
               Supplier Information
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="supplierInfoTableData" [displayedColumn]="supplierInfoDisplayedColumn" [isDataAvailable]="isSupplierInfoDataAvailable"></app-table-molecule>
        </mat-expansion-panel>

        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
               Fixed Asset Details
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="fixedAssetInfoTableData" [displayedColumn]="fixedAssetDisplayedColumn" [isDataAvailable]="isFixedAssetTableData"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
               Warehouse Details
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="warehouseInfoTableData" [displayedColumn]="warehouseDisplayedColumn" [isDataAvailable]="iswarehouseTableData"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
               General Ledger Details
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="glTableData" [displayedColumn]="glDisplayedColumn" [isDataAvailable]="isGLTableData"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
            <mat-expansion-panel-header>
              <mat-panel-title>
                 Period
              </mat-panel-title>
              <mat-panel-description>
              </mat-panel-description>
            </mat-expansion-panel-header>
            <app-table-molecule [tableData]="periodTableData" [displayedColumn]="periodDisplayedColumn" [isDataAvailable]="isPeriodTableData"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
               Dimension Details
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="dimensionTableData" [displayedColumn]="dimensionDisplayedColumn" [isDataAvailable]="isDimensionTableData"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
               Sales Representative
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="SalesTableData" [displayedColumn]="SalesDisplayedColumn" [isDataAvailable]="isSalesRepTableData"></app-table-molecule>
        </mat-expansion-panel>
        <mat-expansion-panel>
          <mat-expansion-panel-header>
            <mat-panel-title>
               VAT Details
            </mat-panel-title>
            <mat-panel-description>
            </mat-panel-description>
          </mat-expansion-panel-header>
          <app-table-molecule [tableData]="vatTableData" [displayedColumn]="vatDisplayedColumn" [isDataAvailable]="isVATTableData"></app-table-molecule>
        </mat-expansion-panel>
      </mat-accordion>
      <div *ngIf="detailedInfo.attachment !== undefined" class="download-link"><button mat-raised-button color="primary" (click)="downloadFile()">Download</button></div>
</div>